%bcond_with bootstrap

%define libgudev_api 1.0
%define libgudev_major 0

%define libgudev %mklibname gudev %{libgudev_api} %{libgudev_major}
%define libgudev_devel %mklibname -d gudev %{libgudev_api}
%define libgudev_gir %mklibname gudev-gir %{libgudev_api}

Summary:	GObject-based wrapper library for libudev
Name:		libgudev
Version:	238
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
Url:		https://wiki.gnome.org/Projects/libgudev
Source0:	https://download.gnome.org/sources/libgudev/%{version}/libgudev-%{version}.tar.xz
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  gtk-doc
%if %{without bootstrap}
BuildRequires:	pkgconfig(umockdev-1.0)
%endif
BuildRequires:  meson
BuildRequires:  locales-fr

%description
This library makes it much simpler to use libudev from programs
already using GObject. It also makes it possible to easily use libudev
from other programming languages, such as Javascript, because of
GObject introspection support.


%package -n %{libgudev}
Summary:       gudev library package
Group:         System/Libraries
Requires(pre): filesystem >= 2.1.9-18
Provides:      libgudev = %{version}-%{release}

%description -n %{libgudev}
This package provides the gudev shared library.

%package -n %{libgudev_gir}
Summary:       GObject Introspection interface description for GUdev
Group:         System/Libraries
Requires:      %{libgudev} = %{version}-%{release}

%description -n %{libgudev_gir}
GObject Introspection interface description for GUdev.


%package -n %{libgudev_devel}
Summary:       gudev library development files
Group:         Development/C
Requires:      %{libgudev} = %{version}-%{release}
Requires:      %{libgudev_gir} = %{version}-%{release}
Provides:      libgudev-devel = %{version}-%{release}

%description -n %{libgudev_devel}
This package provides the development files for the gudev shared library.


%prep
%autosetup -p1

%build
%meson -Dgtk_doc=true -Dtests=enabled -Dvapi=disabled
%meson_build

%install
%meson_install

%check
%meson_test

%files -n %{libgudev}
%{_libdir}/libgudev-%{libgudev_api}.so.%{libgudev_major}{,.*}

%files -n %{libgudev_gir}
%{_libdir}/girepository-1.0/GUdev-%{libgudev_api}.typelib

%files -n %{libgudev_devel}
%doc %{_datadir}/gtk-doc/html/gudev
%{_libdir}/libgudev-%{libgudev_api}.so
%{_includedir}/gudev-%{libgudev_api}
%{_libdir}/pkgconfig/gudev-%{libgudev_api}.pc
%{_datadir}/gir-1.0/GUdev-%{libgudev_api}.gir


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 238-2.mga10
+ Revision: 2218655
- Mageia 10 Mass Rebuild

* Thu Aug 31 2023 daviddavid <daviddavid> 238-1.mga10
+ Revision: 1982800
- new version: 238
- remove merged upstream patches

* Sat Sep 10 2022 wally <wally> 237-1.mga9
+ Revision: 1886555
- new version 237 (from luigiwalser)
- add latest fixes from upstream gitlab
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Mar 27 2021 tv <tv> 236-1.mga9
+ Revision: 1710961
- 236
- Use meson to build
- Run testsuite

* Tue Sep 15 2020 ovitters <ovitters> 234-1.mga8
+ Revision: 1626804
- new version 234

* Sat Feb 15 2020 umeabot <umeabot> 233-2.mga8
+ Revision: 1528014
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Aug 06 2019 tv <tv> 233-1.mga8
+ Revision: 1427636
- new release

* Sun Sep 23 2018 umeabot <umeabot> 232-2.mga7
+ Revision: 1298895
- Mageia 7 Mass Rebuild

* Thu Sep 14 2017 tv <tv> 232-1.mga7
+ Revision: 1153874
- new release

* Mon Aug 21 2017 ovitters <ovitters> 231-1.mga7
+ Revision: 1142697
- new version 231

* Thu Feb 11 2016 umeabot <umeabot> 230-4.mga6
+ Revision: 955561
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 wally <wally> 230-3.mga6
+ Revision: 847771
- fix typo in requires

* Mon Jun 29 2015 wally <wally> 230-2.mga6
+ Revision: 847546
- add requires for gir pkg to devel pkg

* Tue Jun 23 2015 colin <colin> 230-1.mga6
+ Revision: 840324
- imported package libgudev

